# Gimp.type_set_translation_domain

    @accepts(GType, unicode)
    @returns(none)
    def type_set_translation_domain(type, domain):
        # Python wrapper for gimp_type_set_translation_domain()

This function attaches a constant string as a gettext translation domain identifier to a GLib.Type. The only purpose of this function is to use it when registering a #G_TYPE_ENUM with translatable value names.

Since 2.2

type

  a GLib.Type

domain

  a constant string that identifies a translation domain or None